
#ifndef limit_id_hh
#define limit_id_hh

#include <algorithm>
#include <list.hh>

template <typename T>
inline
T limit_id(T t)
{
  return t;
}

template <typename Iterator>
inline
List_Ref<typename std::iterator_traits<Iterator>::value_type>
limit_id(std::pair<Iterator, Iterator> &p)
{
  typedef typename std::iterator_traits<Iterator>::value_type type;

  List_Ref<type> l;
  int k = 0;
  for (Iterator i = p.first; i != p.second; ++i){
    if (k < 10){
      push_back(l, *i);
      k++;
    }
  }
  return l;
}


#endif
